> For the complete documentation index, see [llms.txt](https://docs.ultramarinastudios.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ultramarinastudios.com/advanced/how-to-refresh-the-cart-using-javascript.md).

# How to refresh the cart using JavaScript

{% hint style="info" %}
This is an advanced customization. We recommend enlisting the help of a developer if you need assistance in implementing this functionality.
{% endhint %}

If your store uses custom apps, there may be occasions where you need to refresh the the cart from custom code or application code. The cart can be refreshed globally by calling the `refreshCart`methond on the cart-items web component.

```javascript
let cartDrawer = document.querySelector('cart-items');
cartDrawer?.refreshCart();
```

Note, this only refreshes the cart count and the cart drawer. If you wish to open the cart in addition to refreshing the cart, you can do so by firing a custom event.

```javascript
const event = new CustomEvent('dialog:trigger:cart-drawer');
document.dispatchEvent(event);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ultramarinastudios.com/advanced/how-to-refresh-the-cart-using-javascript.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
